Subject: Re: bug#28176: 26.0.50; Emacs hangs on entering a specific article in gnus

From: [email-masked] (Charles A. Roelli)
Date: Wed, 23 Aug 2017 14:11:23 +0200

I can reproduce the issue on macOS 10.6.  After the issue occurs, if I
pause the affected Emacs from GDB, type "b Fsignal", then continue, I
get this:

(gdb) bt
#0  Fsignal (error_symbol=..., data=...) at eval.c:1505
#1  0x0000000100131e4d in xsignal (error_symbol=..., data=...) at lisp.h:3829
#2  0x00000001001fe693 in xsignal1 (error_symbol=..., arg=...) at eval.c:1639
#3  0x00000001001fefd1 in verror (m=0x1003497b0 <tzbuf_format+2840> "Format specifier doesn't match argument type", ap=0x7fff5fbeff90) at eval.c:1824
#4  0x00000001001ff0b0 in error (m=0x1003497b0 <tzbuf_format+2840> "Format specifier doesn't match argument type") at eval.c:1836
#5  0x00000001001f2e4f in styled_format (nargs=3, args=0x7fff5fbf6a00, message=true) at editfns.c:4498
#6  0x00000001001f1ed1 in Fformat_message (nargs=3, args=0x7fff5fbf6a00) at editfns.c:4158
#7  0x000000010004db63 in vadd_to_log (format=0x10036ab40 <__func__.22422+80961> "Unable to set index %d for image %s", ap=0x7fff5fbf6ae0) at xdisp.c:10178
#8  0x000000010004d9f8 in add_to_log (format=0x10036ab40 <__func__.22422+80961> "Unable to set index %d for image %s") at xdisp.c:10162
#9  0x00000001002ee15b in ns_load_image (f=0x1050795a8, img=0x11d3cb560, spec_file=..., spec_data=...) at nsimage.m:111
#10 0x00000001002b5a29 in png_load (f=0x1050795a8, img=0x11d3cb560) at image.c:6279
#11 0x00000001002aff85 in lookup_image (f=0x1050795a8, spec=...) at image.c:1752
#12 0x000000010003c8cc in handle_single_display_spec (it=0x7fff5fbf88a0, spec=..., object=..., overlay=..., position=0x7fff5fbf89d8, bufpos=1289, display_replaced=0, frame_window_p=true) at xdisp.c:5299
#13 0x0000000100039f0d in handle_display_spec (it=0x7fff5fbf88a0, spec=..., object=..., overlay=..., position=0x7fff5fbf89d8, bufpos=1289, frame_window_p=true) at xdisp.c:4800
#14 0x000000010003986e in handle_display_prop (it=0x7fff5fbf88a0) at xdisp.c:4719
#15 0x0000000100035ec9 in handle_stop (it=0x7fff5fbf88a0) at xdisp.c:3425
#16 0x000000010004654a in next_element_from_buffer (it=0x7fff5fbf88a0) at xdisp.c:8398
#17 0x00000001000420c0 in get_next_display_element (it=0x7fff5fbf88a0) at xdisp.c:6992
#18 0x0000000100071f98 in display_line (it=0x7fff5fbf88a0, cursor_vpos=0) at xdisp.c:21318
#19 0x0000000100063f14 in try_window (window=..., pos=..., flags=1) at xdisp.c:17573
#20 0x000000010006136d in redisplay_window (window=..., just_this_one_p=false) at xdisp.c:17020
#21 0x00000001000593ee in redisplay_window_0 (window=...) at xdisp.c:14780
#22 0x00000001001fdcd6 in internal_condition_case_1 (bfun=0x1000593af <redisplay_window_0>, arg=..., handlers=..., hfun=0x100059377 <redisplay_window_error>) at eval.c:1347
#23 0x000000010005934d in redisplay_windows (window=...) at xdisp.c:14760
#24 0x0000000100059308 in redisplay_windows (window=...) at xdisp.c:14754
#25 0x0000000100057c82 in redisplay_internal () at xdisp.c:14249
#26 0x00000001000551e9 in redisplay () at xdisp.c:13469
#27 0x000000010013e30b in read_char (commandflag=1, map=..., prev_event=..., used_mouse_menu=0x7fff5fbff43d, end_time=0x0) at keyboard.c:2484
#28 0x000000010014f217 in read_key_sequence (keybuf=0x7fff5fbff480, bufsize=30, prompt=..., dont_downcase_last=false, can_return_switch_frame=true, fix_current_buffer=true, prevent_redisplay=false) at keyboard.c:9151
#29 0x000000010013a93c in command_loop_1 () at keyboard.c:1372
#30 0x00000001001fdbe6 in internal_condition_case (bfun=0x10013a442 <command_loop_1>, handlers=..., hfun=0x1001398fd <cmd_error>) at eval.c:1323
#31 0x0000000100139fc9 in command_loop_2 (ignore=...) at keyboard.c:1114
#32 0x00000001001fd05f in internal_catch (tag=..., func=0x100139f9c <command_loop_2>, arg=...) at eval.c:1088
#33 0x0000000100139f5a in command_loop () at keyboard.c:1093
#34 0x0000000100139394 in recursive_edit_1 () at keyboard.c:699
#35 0x00000001001395ab in Frecursive_edit () at keyboard.c:770
#36 0x00000001001370c1 in main (argc=2, argv=0x7fff5fbff948) at emacs.c:1706

Lisp Backtrace:
"redisplay_internal (C function)" (0x0)